<?php
/**
 * DeliveryServicesApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\LogisticClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Logistic
 *
 * Управление логистикой
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\LogisticClient;

use \Ensi\LogisticClient\Configuration;
use \Ensi\LogisticClient\ApiException;
use \Ensi\LogisticClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * DeliveryServicesApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\LogisticClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class DeliveryServicesApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for addPaymentMethodsToDeliveryService
     *
     * Добавление доступных способов оплаты службе доставки.
     *
     */
    public function testAddPaymentMethodsToDeliveryService()
    {
    }

    /**
     * Test case for createDeliveryServiceDocument
     *
     * Создание объекта типа DeliveryServiceDocument.
     *
     */
    public function testCreateDeliveryServiceDocument()
    {
    }

    /**
     * Test case for createDeliveryServiceManager
     *
     * Создание объекта типа DeliveryServiceManager.
     *
     */
    public function testCreateDeliveryServiceManager()
    {
    }

    /**
     * Test case for deleteDeliveryServiceDocument
     *
     * Удаление объекта типа DeliveryServiceDocument.
     *
     */
    public function testDeleteDeliveryServiceDocument()
    {
    }

    /**
     * Test case for deleteDeliveryServiceDocumentFile
     *
     * Удаление файла с документом службы доставки.
     *
     */
    public function testDeleteDeliveryServiceDocumentFile()
    {
    }

    /**
     * Test case for deleteDeliveryServiceManager
     *
     * Удаление объекта типа DeliveryServiceManager.
     *
     */
    public function testDeleteDeliveryServiceManager()
    {
    }

    /**
     * Test case for deletePaymentMethodFromDeliveryService
     *
     * Удаление доступного способа оплаты у службы доставки.
     *
     */
    public function testDeletePaymentMethodFromDeliveryService()
    {
    }

    /**
     * Test case for getDeliveryMethods
     *
     * Получение объекта типа DeliveryMethod.
     *
     */
    public function testGetDeliveryMethods()
    {
    }

    /**
     * Test case for getDeliveryService
     *
     * Получение объекта типа DeliveryService.
     *
     */
    public function testGetDeliveryService()
    {
    }

    /**
     * Test case for getDeliveryServiceDocument
     *
     * Получение объекта типа DeliveryServiceDocument.
     *
     */
    public function testGetDeliveryServiceDocument()
    {
    }

    /**
     * Test case for getDeliveryServiceManager
     *
     * Получение объекта типа DeliveryServiceManager.
     *
     */
    public function testGetDeliveryServiceManager()
    {
    }

    /**
     * Test case for getDeliveryServiceStatuses
     *
     * Получение объекта типа DeliveryServiceStatus.
     *
     */
    public function testGetDeliveryServiceStatuses()
    {
    }

    /**
     * Test case for getShipmentMethods
     *
     * Получение объекта типа ShipmentMethod.
     *
     */
    public function testGetShipmentMethods()
    {
    }

    /**
     * Test case for patchDeliveryService
     *
     * Обновления части полей объекта типа DeliveryService.
     *
     */
    public function testPatchDeliveryService()
    {
    }

    /**
     * Test case for patchDeliveryServiceDocument
     *
     * Обновления части полей объекта типа DeliveryServiceDocument.
     *
     */
    public function testPatchDeliveryServiceDocument()
    {
    }

    /**
     * Test case for patchDeliveryServiceManager
     *
     * Обновления части полей объекта типа DeliveryServiceManager.
     *
     */
    public function testPatchDeliveryServiceManager()
    {
    }

    /**
     * Test case for replaceDeliveryService
     *
     * Замена объекта типа DeliveryService.
     *
     */
    public function testReplaceDeliveryService()
    {
    }

    /**
     * Test case for replaceDeliveryServiceDocument
     *
     * Замена объекта типа DeliveryServiceDocument.
     *
     */
    public function testReplaceDeliveryServiceDocument()
    {
    }

    /**
     * Test case for replaceDeliveryServiceManager
     *
     * Замена объекта типа DeliveryServiceManager.
     *
     */
    public function testReplaceDeliveryServiceManager()
    {
    }

    /**
     * Test case for searchDeliveryServiceDocuments
     *
     * Поиск объектов типа DeliveryServiceDocument.
     *
     */
    public function testSearchDeliveryServiceDocuments()
    {
    }

    /**
     * Test case for searchDeliveryServiceManagers
     *
     * Поиск объектов типа DeliveryServiceManager.
     *
     */
    public function testSearchDeliveryServiceManagers()
    {
    }

    /**
     * Test case for searchDeliveryServices
     *
     * Поиск объектов типа DeliveryService.
     *
     */
    public function testSearchDeliveryServices()
    {
    }

    /**
     * Test case for searchOneDeliveryService
     *
     * Поиск объекта типа DeliveryService.
     *
     */
    public function testSearchOneDeliveryService()
    {
    }

    /**
     * Test case for searchOneDeliveryServiceDocument
     *
     * Поиск объекта типа DeliveryServiceDocument.
     *
     */
    public function testSearchOneDeliveryServiceDocument()
    {
    }

    /**
     * Test case for searchOneDeliveryServiceManager
     *
     * Поиск объекта типа DeliveryServiceManager.
     *
     */
    public function testSearchOneDeliveryServiceManager()
    {
    }

    /**
     * Test case for uploadDeliveryServiceDocumentFile
     *
     * Загрузка файла с документом службы доставки.
     *
     */
    public function testUploadDeliveryServiceDocumentFile()
    {
    }
}
